RubyMine 1.1 Will not Start

Have been running RubyMine 1.05 without any issues.  Have installed 1.1 alongside and if I start the application I get the message:

"The JVM could not be started.  The main method may have thrown an exception"

Client is Windows XP, Java version is 1.6.0_13, Ruby is 1.86.

Version 1.05 still works fine, does anybody have any ideas?

Cheers,

Tim

5 comments
Comment actions Permalink

Hello Tim,

Please attach idea.log file which is located: C:\Documents and Settings\[User]\RubyMine10\system\logs
Also did you installed RubyMine 1.1 in new directory or same directory as RubyMine 1.0.5?

0
Comment actions Permalink

Hi Roman,

It is installed in a seperate directory (Program Files\RubyMine 1.1 Vs Program Files\RubyMine 1.0.5).  I clear down the log files directory otherwise you will see the results of me using 1.05, when I then start 1.1 the splash screen appears briefly, the message "The JVM could not be started.  The main method may have thrown an exception" but no log file is created.  Subsequent attempts to start 1.1 result in the same error message but the splash screen is not shown.

Thanks,

Tim

0
Comment actions Permalink

Ok, let's try another way: please run rubymine.bat from cmd shell or Far and show me console output.

0
Comment actions Permalink

Hello Tim,

It is installed in a seperate directory (Program Files\RubyMine 1.1 Vs
Program Files\RubyMine 1.0.5). I clear down the log files directory
otherwise you will see the results of me using 1.05, when I then start
1.1 the splash screen appears briefly, the message "The JVM could not
be started. The ma

in method may have thrown an exception" but no log file is created.
Subsequent attempts to start 1.1 result in the same error message but
the splash screen is not shown.


Please reduce the -Xmx value in rubymine.exe.vmoptions - then RubyMine will
start.

The problem is caused by an old version of exe4j that we're currently using,
and we plan to upgrade it and use the new version in RubyMine 1.1.

--
Dmitry Jemerov
Development Lead
JetBrains, Inc.
http://www.jetbrains.com/
"Develop with Pleasure!"


0
Comment actions Permalink

Resolved, I obviously missed a readme doc somewhere.  I have installed the latest JDK and set the JDK_Home environment variable and 1.1 now works.  Has there been a major architecture change as neither of these things were necessary to run 1.05?

Cheers,

Tim

0

Please sign in to leave a comment.